Page MenuHomePhabricator

Add PayTM to Dlocal India form
Closed, ResolvedPublic1 Estimated Story Points

Description

Add PayTM to Dlocal India form

Event Timeline

EMartin created this task.Aug 8 2019, 9:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 8 2019, 9:43 PM

Change 530239 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Uncomment PayTM

https://gerrit.wikimedia.org/r/530239

Ejegg claimed this task.Aug 14 2019, 10:55 PM
Ejegg set the point value for this task to 1.
Ejegg moved this task from Backlog to Review on the Fundraising Sprint Princess Mongodb board.

Change 530239 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Uncomment PayTM

https://gerrit.wikimedia.org/r/530239

Great! We will get some folks to test. Thanks.,

Ejegg closed this task as Resolved.Aug 15 2019, 8:49 PM
Ejegg triaged this task as Medium priority.
DStrine reopened this task as Open.Aug 19 2019, 8:08 PM
DStrine added a subscriber: DStrine.

Can this be turned off again? This is not needed for the 1 hour test. We have other high priority tasks to work on.

Ejegg added a comment.Aug 19 2019, 9:32 PM

This is turned back off for now. @DStrine or @EMartin can you document what the problems were?

If you want to test it more, you can get a version of the form with PayTM by adding variant=paytm to the URL like so:
https://payments.wikimedia.org/index.php?title=Special:AstroPayGateway&appeal=JimmyQuote&payment_method=bt&recurring=&uselang=en&language=en&currency=INR&amount=140&country=IN&ffname=astropay-in&variant=paytm

Here is the error received from the tester in India:

Ejegg added a comment.Aug 20 2019, 3:39 PM

@EMartin the logs say that's a 'Payment method not found' error. Generally means that D-Local hasn't activated that method on our account (or for that country) yet.

Good to know. I also have this in question with Dlocal as I was unsure where the problem was. Pats indicated it was on our end but I didn’t stop Dlocal from looking into it. I’ll update here when I hear from them.

Dlocal confirm today 8.20.2019 that they have now enabled PayTM so we can retry once we are able to re-add it to the page.

Ejegg added a comment.Aug 21 2019, 3:05 AM

As noted on T230625, this can be tested via a link with variant=paytm for now, then once we're sure it's solid we can add it back for all users (so as not to delay any 1-hr test)

https://payments.wikimedia.org/index.php?title=Special:AstroPayGateway&appeal=JimmyQuote&payment_method=bt&recurring=&uselang=en&language=en&currency=INR&amount=140&country=IN&ffname=astropay-in&variant=paytm

Hi, internal testing has occurred on the PayTM variant link and it tested
out as being solid, please note.

Change 535276 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Make PayTM available by default for India

https://gerrit.wikimedia.org/r/535276

Change 535276 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Make PayTM available by default for India

https://gerrit.wikimedia.org/r/535276

Ejegg added a comment.Sep 9 2019, 10:46 PM

OK, this is turned back on by default on India bank transfer forms

Awesome! Thank you.

Ejegg closed this task as Resolved.Sep 11 2019, 4:37 PM